package com.its.web.service.common;

import com.its.web.dto.common.CodeDto;
import com.its.web.dto.common.TbWwwOrgDto;
import com.its.web.mapper.its.common.CommonMapper;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@RequiredArgsConstructor
@Service
public class CommonService {
    private final CommonMapper mapper;

    /**
     * 공공기관 사이트 URL
     * @return
     */
    public List<TbWwwOrgDto> findAllOrganization() {
        return this.mapper.findAllOrganization();
    }

    /**
     * Day Code 리스트
     * @return
     */
    public List<CodeDto> findDayList() {
        return this.mapper.findDayList();
    }
}
